summaryrefslogtreecommitdiffstats
path: root/python/python3-langcodes
diff options
context:
space:
mode:
author Vijay Marcel2024-05-06 00:43:10 +0200
committer Willy Sudiarto Raharjo2024-05-11 01:51:51 +0200
commit615848d18ddb6edc956e37131eadbbd345ccd8ed (patch)
tree713a632209f73180ddb65fdd9da1d53b911ee2ad /python/python3-langcodes
parentf82718cc471bbc148b61e3f9981e586701557e35 (diff)
downloadslackbuilds-615848d18ddb6edc956e37131eadbbd345ccd8ed.tar.gz
python/python3-langcodes: Updated for version 3.4.0.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python/python3-langcodes')
-rw-r--r--python/python3-langcodes/python3-langcodes.SlackBuild12
-rw-r--r--python/python3-langcodes/python3-langcodes.info6
2 files changed, 10 insertions, 8 deletions
diff --git a/python/python3-langcodes/python3-langcodes.SlackBuild b/python/python3-langcodes/python3-langcodes.SlackBuild
index b6fad28644..7a4ab6822b 100644
--- a/python/python3-langcodes/python3-langcodes.SlackBuild
+++ b/python/python3-langcodes/python3-langcodes.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for python3-langcodes
-# Copyright 2023 Vijay Marcel
+# Copyright 2023-2024 Vijay Marcel
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=python3-langcodes
-VERSION=${VERSION:-3.3.0}
+VERSION=${VERSION:-3.4.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -81,13 +81,15 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-python3 -m build --wheel --no-isolation
+PYVER=$(python3 -c 'import sys; print("%d.%d" % sys.version_info[:2])')
+export PYTHONPATH=/opt/python$PYVER/site-packages
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" python3 -m build --wheel --no-isolation
python3 -m installer --destdir "$PKG" dist/*.whl
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \+
diff --git a/python/python3-langcodes/python3-langcodes.info b/python/python3-langcodes/python3-langcodes.info
index bb4a5ac869..20afe1afdd 100644
--- a/python/python3-langcodes/python3-langcodes.info
+++ b/python/python3-langcodes/python3-langcodes.info
@@ -1,8 +1,8 @@
PRGNAM="python3-langcodes"
-VERSION="3.3.0"
+VERSION="3.4.0"
HOMEPAGE="https://github.com/rspeer/langcodes"
-DOWNLOAD="https://pypi.io/packages/source/l/langcodes/langcodes-3.3.0.tar.gz"
-MD5SUM="c257046ae26f6af4097a14d7612fc8f3"
+DOWNLOAD="https://pypi.io/packages/source/l/langcodes/langcodes-3.4.0.tar.gz"
+MD5SUM="3c1bc81ec347ab3027972924341b7d8e"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="python3-language-data"